org.apache.tinkerpop.gremlin

## Class AbstractGremlinSuite

- java.lang.Object
- - Suite
  - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite

- Direct Known Subclasses:
    GroovyEnvironmentIntegrateSuite, GroovyEnvironmentPerformanceSuite, GroovyEnvironmentSuite, ProcessComputerSuite, ProcessPerformanceSuite, ProcessStandardSuite, StructureIntegrateSuite, StructurePerformanceSuite, StructureStandardSuite

      public abstract class AbstractGremlinSuite
      extends Suite

  Base Gremlin test suite from which different classes of tests can be exposed to implementers.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractGremlinSuite.OptOutTestFilter` Filter for tests in the suite which is controlled by the `Graph.OptOut` annotation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGremlinSuite(Class<?> klass, RunnerBuilder builder, Class<?>[] testsToExecute, Class<?>[] testsToEnforce, boolean gremlinFlavorSuite, TraversalEngine.Type traversalEngineType)` Constructs a Gremlin Test Suite implementation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterTestExecution(Class<? extends AbstractGremlinTest> testClass)` Called just after test class execution.
    `boolean` | `beforeTestExecution(Class<? extends AbstractGremlinTest> testClass)` Called just prior to test class execution.
    `static <any>` | `getGraphProviderClass(Class<?> klass)`
    `protected void` | `runChild(Runner runner, RunNotifier notifier)`
    `static void` | `validateOptInAndOutAnnotationsOnGraph(Class<? extends Graph> klass)`
    `protected Statement` | `withAfterClasses(Statement statement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGremlinSuite

          public AbstractGremlinSuite(Class<?> klass,
                                      RunnerBuilder builder,
                                      Class<?>[] testsToExecute,
                                      Class<?>[] testsToEnforce,
                                      boolean gremlinFlavorSuite,
                                      TraversalEngine.Type traversalEngineType)
                               throws InitializationError

      Constructs a Gremlin Test Suite implementation.
      Parameters:
        `klass` - Required for JUnit Suite construction
        `builder` - Required for JUnit Suite construction
        `testsToExecute` - The list of tests to execute
        `testsToEnforce` - The list of tests to "enforce" such that a check is made to ensure that in this list, there exists an implementation in the testsToExecute (use `null` for no enforcement).
        `gremlinFlavorSuite` - Ignore validation of `Graph.OptIn` annotations which is typically reserved for structure tests
        `traversalEngineType` - The `TraversalEngine.Type` to enforce on this suite
      Throws:
        `InitializationError`

  - ### Method Detail

    - #### getGraphProviderClass

          public static <any> getGraphProviderClass(Class<?> klass)
                                             throws InitializationError

      Throws:
        `InitializationError`

    - #### validateOptInAndOutAnnotationsOnGraph

          public static void validateOptInAndOutAnnotationsOnGraph(Class<? extends Graph> klass)
                                                            throws InitializationError

      Throws:
        `InitializationError`

    - #### runChild

          protected void runChild(Runner runner,
                                  RunNotifier notifier)

    - #### withAfterClasses

          protected Statement withAfterClasses(Statement statement)

    - #### beforeTestExecution

          public boolean beforeTestExecution(Class<? extends AbstractGremlinTest> testClass)

      Called just prior to test class execution. Return false to ignore test class. By default this always returns true.

    - #### afterTestExecution

          public void afterTestExecution(Class<? extends AbstractGremlinTest> testClass)

      Called just after test class execution.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.